## qdl-plugins-cramit 0.1.0

=== Makefile ===
#############################################################################
# Makefile for building: libcramit.so.1.0.0
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sat Dec 7 15:52:14 2013
# Project:  cramit.pro
# Template: lib
# Command: /usr/bin/qmake -o Makefile cramit.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -shared -Wl,-soname,libcramit.so.1
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtNetwork -L/usr/lib -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = cramit.cpp moc_cramit.cpp \
		moc_serviceplugin.cpp
OBJECTS       = cramit.o \
		moc_cramit.o \
		moc_serviceplugin.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		cramit.pro
QMAKE_TARGET  = cramit
DESTDIR       = 
TARGET        = libcramit.so.1.0.0
TARGETA       = libcramit.a
TARGETD       = libcramit.so.1.0.0
TARGET0       = libcramit.so
TARGET1       = libcramit.so.1
TARGET2       = libcramit.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: cramit.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -o Makefile cramit.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile cramit.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/cramit1.0.0 || $(MKDIR) .tmp/cramit1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/cramit1.0.0/ && $(COPY_FILE) --parents cramit.h serviceinterface.h serviceplugin.h .tmp/cramit1.0.0/ && $(COPY_FILE) --parents cramit.cpp .tmp/cramit1.0.0/ && (cd `dirname .tmp/cramit1.0.0` && $(TAR) cramit1.0.0.tar cramit1.0.0 && $(COMPRESS) cramit1.0.0.tar) && $(MOVE) `dirname .tmp/cramit1.0.0`/cramit1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/cramit1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) $(TARGET0) $(TARGET1) $(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_cramit.cpp moc_serviceplugin.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_cramit.cpp moc_serviceplugin.cpp
moc_cramit.cpp: serviceplugin.h \
		serviceinterface.h \
		cramit.h
	/usr/bin/moc $(DEFINES) $(INCPATH) cramit.h -o moc_cramit.cpp

moc_serviceplugin.cpp: serviceinterface.h \
		serviceplugin.h
	/usr/bin/moc $(DEFINES) $(INCPATH) serviceplugin.h -o moc_serviceplugin.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

cramit.o: cramit.cpp cramit.h \
		serviceplugin.h \
		serviceinterface.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o cramit.o cramit.cpp

moc_cramit.o: moc_cramit.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_cramit.o moc_cramit.cpp

moc_serviceplugin.o: moc_serviceplugin.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_serviceplugin.o moc_serviceplugin.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/qdl/service_plugins/ || $(MKDIR) $(INSTALL_ROOT)/opt/qdl/service_plugins/ 
	-$(INSTALL_PROGRAM) "$(TARGET)" "$(INSTALL_ROOT)/opt/qdl/service_plugins/$(TARGET)"
	-$(STRIP) --strip-unneeded "$(INSTALL_ROOT)/opt/qdl/service_plugins/$(TARGET)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/opt/qdl/service_plugins/$(TARGET0)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/opt/qdl/service_plugins/$(TARGET1)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/opt/qdl/service_plugins/$(TARGET2)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/opt/qdl/service_plugins/$(TARGET)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/opt/qdl/service_plugins/$(TARGET0)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/opt/qdl/service_plugins/$(TARGET1)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/opt/qdl/service_plugins/$(TARGET2)"
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/qdl/service_plugins/ 


install_icon: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/qdl/icons/ || $(MKDIR) $(INSTALL_ROOT)/opt/qdl/icons/ 
	-$(INSTALL_FILE) /home/stuart/QtProjects/Fremantle/qdl/qdl-plugins/service-plugins/cramit/cramit.jpg $(INSTALL_ROOT)/opt/qdl/icons/


uninstall_icon:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/opt/qdl/icons/cramit.jpg
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/qdl/icons/ 


install:  install_target install_icon  FORCE

uninstall: uninstall_target uninstall_icon   FORCE

FORCE:

## qdl-plugins-cramit 0.0.1

=== debian/changelog ===
qdl-plugins-cramit (0.0.1) unstable; urgency=low

  * Inital release.

 -- Stuart Howarth <stuhowarth77@gmail.com>  Tue, 19 Mar 2013 17:02:04 +0000

=== debian/control ===
Source: qdl-plugins-cramit
Section: user/network
Priority: optional
Maintainer: Stuart Howarth <stuhowarth77@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.3
Homepage: https://sites.google.com/site/marxodian/home/qdl

Package: qdl-plugins-cramit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qdl (>= 0.8.0), qdl-plugins-cramitrecaptcha
Description: Cramit.in plugin for the QDL download manager.
 This plugin provides access to file downloads via Cramit.in.

## qdl-plugins-cramit 0.1.0

=== debian/changelog ===
qdl-plugins-cramit (0.1.0) unstable; urgency=low

  * Fixes and changes to base plugin class.

 -- Stuart Howarth <showarth@marxoft.co.uk>  Sun, 03 Nov 2013 15:34:04 +0000

=== debian/control ===
Source: qdl-plugins-cramit
Section: user/network
Priority: optional
Maintainer: Stuart Howarth <showarth@marxoft.co.uk>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.3
Homepage: http://marxoft.co.uk/qdl

Package: qdl-plugins-cramit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qdl (>= 1.0.2), qdl-plugins-cramitrecaptcha (>= 0.1.0)
Description: Cramit.in plugin for the QDL download manager.
 This plugin provides access to file downloads via Cramit.in.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# qmake PREFIX=/usr# Uncomment this line for use without Qt Creator

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	qmake
	$(MAKE) # Uncomment this line for use without Qt Creator
	#docbook-to-man debian/qdl-plugins-cramit.sgml > qdl.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/qdl-plugins-cramit.
	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/qdl-plugins-cramit install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	# dh_shlibdeps # Uncomment this line for use without Qt Creator
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
